Module java.corba
Package org.omg.PortableServer.POAPackage

## Class ObjectAlreadyActiveHelper

- java.lang.Object
- - org.omg.PortableServer.POAPackage.ObjectAlreadyActiveHelper

    public abstract class ObjectAlreadyActiveHelper
    extends Object

org/omg/PortableServer/POAPackage/ObjectAlreadyActiveHelper.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/openjdk-9-argm_o/openjdk-9-9~b114/src/corba/src/java.corba/share/classes/org/omg/PortableServer/poa.idl Thursday, April 14, 2016 7:54:07 PM UTC

### Constructor Summary

Constructors
Constructor and Description
`ObjectAlreadyActiveHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ObjectAlreadyActive` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, ObjectAlreadyActive that)`
`static ObjectAlreadyActive` `read(InputStream istream)`
`static TypeCode` `type()`
`static void` `write(OutputStream ostream, ObjectAlreadyActive value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectAlreadyActiveHelper

    public ObjectAlreadyActiveHelper()

### Method Detail

#### insert

    public static void insert(Any a,
                              ObjectAlreadyActive that)

#### extract

    public static ObjectAlreadyActive extract(Any a)

#### type

    public static TypeCode type()

#### id

    public static String id()

#### read

    public static ObjectAlreadyActive read(InputStream istream)

#### write

    public static void write(OutputStream ostream,
                             ObjectAlreadyActive value)